Bug 999184 - Feature Request to add scheduled maintenance scripts to btrfs-progs
Feature Request to add scheduled maintenance scripts to btrfs-progs
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 17:44 EDT by Jonathan Briggs
Modified: 2014-10-02 12:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-14 11:57:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Briggs 2013-08-20 17:44:53 EDT
I believe that btrfs would benefit from some jobs scheduled by cron or systemd to perform tasks such as a weekly scrub and possibly a defragment.

This would be just like /usr/sbin/raid-check from mdadm.

Some scripts for doing timed snapshots would be useful too.
Comment 1 Fedora End Of Life 2013-09-16 12:38:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Eric Sandeen 2013-09-17 20:14:40 EDT
scrub maybe, if it doesn't cause more problems than it's worth.

defrag - probably not, there are usually side effects of that - at least on other filesystems (which granted are very different) you don't want to do an fs-wide defrag "just because."

snapshots - maybe, but seems like the space implications could make it tricky.

If you're really interested in this, it'd be great to put those scripts together & propose them on the list...

-Eric
Comment 3 Eric Sandeen 2014-05-13 12:39:01 EDT
btrfs-progs-3.14.1 has been pushed to Fedora 19 and 20 for testing.

I frankly have no idea if this will resolve your bug or not, but if you test it and find that it does, please take the opportunity to close this bug.  :)

Thanks,
-Eric
Comment 4 Eric Sandeen 2014-05-14 11:57:46 EDT
This is really something that should be proposed upstream, I think, not something that Fedora would uniquely implement.
Comment 5 birger 2014-10-02 12:53:52 EDT
I tried proposing snapshot-scripts upstream early on. I even submitted my own.

It was rejected on the grounds that they didn't want to make btrfs-progs bigger or add dependencies on script interpreters, etc.

So if someone goes upstream with this again, propose a separate package. Don't try to get them to add it to btrfs-progs. btrfs-utils perhaps?

Note You need to log in before you can comment on or make changes to this bug.